---
title: set address
slug: api-documentation/set-address
docTags: 
createdAt: 2026-08-27T17:02:13.658Z
---

{
  "id": "SvoRF9fTFpOntduAYurXB",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/v1/customer/{customerId}/addresses",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/customer/{customerId}/addresses"
      }
    ],
    "name": "set address",
    "description": "<p>This endpoint sets an address, by label, for a given consumer.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>customer.update</code></li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "customerId",
          "type": "string",
          "description": "Unique identifier for the consumer that the call should be interacting with."
        }
      ],
      "headerParameters": [
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "The request must contain consumer address and label.",
          "customType": "Address",
          "schema": [
            {
              "name": "businessName",
              "kind": "optional",
              "type": "string",
              "description": "An optional name representing the business that this address is for.",
              "example": "Acme Fireworks"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": "The city associated with the address.",
              "example": "Boston"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "<p>The country associated with the address. This should be a <a href=\"https://en.wikipedia.org/wiki/Two-letter_country_codes\" target=\"_blank\">2-character country code</a>.</p>",
              "example": "US",
              "pattern": "^[A-Z]{2}$"
            },
            {
              "name": "county",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "label",
              "kind": "required",
              "type": "string",
              "description": "<p>A user-friendly name to identify the consumer's address.</p>",
              "example": "Home"
            },
            {
              "name": "name",
              "kind": "optional",
              "type": "object",
              "description": "",
              "modelRef": "#/components/schemas/Name",
              "customType": "Name",
              "schema": [
                {
                  "name": "first",
                  "kind": "required",
                  "type": "string",
                  "description": "The first name of the individual being addressed.",
                  "example": "John"
                },
                {
                  "name": "last",
                  "kind": "required",
                  "type": "string",
                  "description": "The last name of the individual being addressed.",
                  "example": "Smith"
                },
                {
                  "name": "middleInitial",
                  "kind": "optional",
                  "type": "string",
                  "description": "The middle initial of the individual being addressed.",
                  "example": "D."
                },
                {
                  "name": "salutation",
                  "kind": "optional",
                  "type": "string",
                  "description": "The salutation of the individual being addressed.",
                  "example": "Capt."
                },
                {
                  "name": "suffix",
                  "kind": "optional",
                  "type": "string",
                  "description": "The optional suffix of the individual being addressed.",
                  "example": "Sr."
                }
              ]
            },
            {
              "name": "phoneNumber",
              "kind": "optional",
              "type": "string",
              "description": "Phone number associated with this address.",
              "example": "8668675309"
            },
            {
              "name": "poBox",
              "kind": "optional",
              "type": "boolean",
              "description": "<p>A binary indicator to say that this is/is not a PO Box.</p>",
              "default": false
            },
            {
              "name": "postalCode",
              "kind": "required",
              "type": "string",
              "description": "<p>The country-specific postal code.</p>",
              "example": "03031"
            },
            {
              "name": "stateOrRegion",
              "kind": "required",
              "type": "string",
              "description": "<p>This identifies the state (or region) that the address is in.</p>",
              "example": "NH"
            },
            {
              "name": "street1",
              "kind": "required",
              "type": "string",
              "description": "The primary address line.",
              "example": "123 Main St. Suite 1"
            },
            {
              "name": "street2",
              "kind": "optional",
              "type": "string",
              "description": "<p>An optional second-line of an address (optional). It is primarily used in special circumstances, such as secondary addresses, attention designations, C/O (in care of) addresses or special instructions.</p>",
              "example": "C/O Bob"
            }
          ],
          "modelRef": "#/components/schemas/Address",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-address updated.</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "<p>An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "The requested resource was not found in the NoChannel system.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "ai1Mv2zqRTJTNRXV3EegL",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/v1/customer/{customerId}/addresses \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data '{\n     \"city\": \"Boston\",\n     \"country\": \"US\",\n     \"label\": \"Home\",\n     \"name\": {\n     \"first\": \"John\",\n     \"last\": \"Smith\"\n     },\n     \"postalCode\": \"03031\",\n     \"stateOrRegion\": \"NH\",\n     \"street1\": \"123 Main St. Suite 1\"\n     }'"
        },
        {
          "id": "lrsH-j6EGZikXgieHMNf-",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify({\n   \"city\": \"Boston\",\n   \"country\": \"US\",\n   \"label\": \"Home\",\n   \"name\": {\n      \"first\": \"John\",\n      \"last\": \"Smith\"\n   },\n   \"postalCode\": \"03031\",\n   \"stateOrRegion\": \"NH\",\n   \"street1\": \"123 Main St. Suite 1\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/customer/{customerId}/addresses\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "ObyV15DNe2p5IsRFl9zwK",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/customer/{customerId}/addresses\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump({\n   \"city\": \"Boston\",\n   \"country\": \"US\",\n   \"label\": \"Home\",\n   \"name\": {\n      \"first\": \"John\",\n      \"last\": \"Smith\"\n   },\n   \"postalCode\": \"03031\",\n   \"stateOrRegion\": \"NH\",\n   \"street1\": \"123 Main St. Suite 1\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "r24IoRyRTqyElO1JLRbUS",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/customer/{customerId}/addresses\"\n\npayload = json.dumps({\n   \"city\": \"Boston\",\n   \"country\": \"US\",\n   \"label\": \"Home\",\n   \"name\": {\n      \"first\": \"John\",\n      \"last\": \"Smith\"\n   },\n   \"postalCode\": \"03031\",\n   \"stateOrRegion\": \"NH\",\n   \"street1\": \"123 Main St. Suite 1\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "ai1Mv2zqRTJTNRXV3EegL"
    },
    "results": {
      "languages": [
        {
          "id": "wG-lulZCZLblR7TXYRuXD",
          "language": "200",
          "code": "// Success-address updated.\n"
        },
        {
          "id": "Z3DsIWgCs6j2xLr5esr9E",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "3lnEd-VUTJqs65itmsecD",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "_7Iy1D8JjgTf0UiVFIyQ5",
          "language": "403",
          "code": "// An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "42Of9ua79ErtFUgVIKzVR",
          "language": "404",
          "code": "// The requested resource was not found in the NoChannel system.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "wG-lulZCZLblR7TXYRuXD"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}